upstart-udev-bridge(8)

NAME
upstart-udev-bridge - Bridge between Upstart and udev

SYNOPSIS
upstart-udev-bridge [OPTIONS]...

DESCRIPTION
upstart-udev-bridge receives information about kernel uevents that udev(8) has completed and creates init(8) events for them. It emits events which match the pattern "S-device-A" where 'S' is the udev subsystem and 'A' is one of added, changed or removed, which correspond to the past tense of the udev 'action'. See udev(7) and for further details. Assuming /sys is mounted, possible values for subsystem for your system are viewable via /sys/class/.

OPTIONS

--daemon
    Detach and run in the background.

--debug
    Enable debugging output.

--help
    Show brief usage summary.

--no-strip
    Do not modify udev message contents. By default, all udev data will have non-printable bytes removed. This option reverts the behaviour to not modifying the data in any way. This option is not recommended since specifying it could result in udev(7) events not being emitted as Upstart events should any of your hardware expose non-printable characters to the kernel. You can establish whether this is happening by running without specifying this option but with the --debug option.

--verbose
    Enable verbose output.

EXAMPLES
Some examples of Upstart events generated by this bridge:

net-device-added
    Event emitted when a network device is added.

net-device-removed
    Event emitted when a network device is removed.

graphics-device-added
    Event emitted when a graphics device is available to the system.

AUTHOR
Written by Scott James Remnant <scott@netsplit.com>

BUGS
Report bugs at <https://launchpad.net/ubuntu/+source/upstart/+bugs>

COPYRIGHT
Copyright © 2009,2010,2011 Canonical Ltd.

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
init(5) init(8) udev(7)